Package com.beust.jcommander.converters

# Class PathConverter

java.lang.Object
com.beust.jcommander.converters.PathConverter

All Implemented Interfaces:
  `IStringConverter<Path>`

public class PathConverter extends Object implements IStringConverter<Path>
Convert a string into a path.

## Constructor Summary

Constructors
Constructor
Description
`PathConverter()`

## Method Summary

Modifier and Type
Method
Description
`Path`
`convert(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PathConverter

public PathConverter()

## Method Details

### convert

public Path convert(String value)

Specified by:
  `convert` in interface `IStringConverter<Path>`
Returns:
  an object of type <T> created from the parameter value.